<script setup>
import { Skeletor } from 'vue-skeletor';
import 'vue3-carousel/dist/carousel.css'
import api from '@/api/api'
import { ref, onMounted } from 'vue';

const runtimeConfig = useRuntimeConfig()
useHead({
    title: `${runtimeConfig.public.pageTitle}  سوالات متداول `
})
const items = ref([])
const loading = ref(true)
onMounted(() => {
    try {
        api.get(`faq`).then(res => {
            items.value = res?.data?.data
            loading.value = false
        })
    } catch {
        loading.value = false
    }
})

</script>

<template>
    <v-container class="faq">
        <h2>سوالات متداول</h2>
        <v-row>
            <v-col cols="12">
                <template v-if="loading">
                    <Skeletor v-for="(item, index) in 4" :key="index" class="mb-4" width="100%" height="70" />
                </template>
                <v-expansion-panels v-else>
                    <v-expansion-panel v-for="(item, index) in items" :key="index" :selected-class="'white'" elevation="0"
                        class="mb-3">
                        <v-expansion-panel-title class="py-md-6 py-2">
                            <span class="text-blue-grey-darken-4 title">{{ item.title }}</span>
                            <template v-slot:actions="{ expanded }">
                                <BootstrapIcon class="me-2 text-black" :name="expanded ? 'chevron-up' : 'chevron-down'" />
                            </template>
                        </v-expansion-panel-title>
                        <v-divider class="text-blue-grey-lighten-3"></v-divider>
                        <v-expansion-panel-text>
                            <span class="text-grey-darken-4 text-subtitle-1 content">ز
                                {{ item.content }}
                            </span>
                        </v-expansion-panel-text>
                    </v-expansion-panel>
                </v-expansion-panels>
            </v-col>
        </v-row>
    </v-container>
    <HomeCallForPrice />
</template>

<style lang="scss">
.faq {
    h2 {
        line-height: 37px;
        text-align: center;
        color: #3B5099;
        font-weight: 700;
        margin: 30px 0;
    }

    .v-expansion-panels:not(.v-expansion-panels--variant-accordion) {

        :first-child:not(:last-child):not(.v-expansion-panel--active):not(.v-expansion-panel--before-active),
        :not(:first-child):not(:last-child):not(.v-expansion-panel--active):not(.v-expansion-panel--after-active),
        :last-child:not(:first-child):not(.v-expansion-panel--active):not(.v-expansion-panel--after-active) {
            border-radius: 10px !important;
        }
    }

    .v-expansion-panel:not(:first-child)::after {
        content: none;
    }

    .v-expansion-panel {
        border-radius: 10px !important;

        box-shadow: 0 10px 15px rgba(58, 112, 191, 0.1) !important;

        span {
            font-family: IRANSansX !important;
        }

        .v-expansion-panel-title {
            font-size: 16px;
            font-weight: 600;

            .v-expansion-panel-title__overlay {
                opacity: 0 !important;
            }
        }
    }

    @media only screen and (max-width:768px) {
        .v-expansion-panel-title {
            .title {
                font-size: 14px;
            }
        }

        .v-expansion-panel-text {
            .content {
                font-size: 12px !important;
            }
        }
    }
}
</style>